Debian Bug report logs - #643466
remind: FTBFS: init.c:573:3: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:remind; Maintainer for src:remind is Ana Beatriz Guerrero Lopez <ana@debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 12:43:11 UTC

Severity: serious

Tags: patch, sid, upstream, wheezy

Found in version remind/03.01.10-1

Fixed in version remind/03.01.10-1.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kurt B. Kaiser <kbk@shore.net>:
Bug#643466; Package src:remind. (Tue, 27 Sep 2011 12:43:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Kurt B. Kaiser <kbk@shore.net>. (Tue, 27 Sep 2011 12:43:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: remind: FTBFS: init.c:573:3: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Tue, 27 Sep 2011 14:37:25 +0200
Source: remind
Version: 03.01.10-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs hardening-format-security hardening
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -c -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -Wstrict-prototypes -DHAVE_CONFIG_H   -I. -I. init.c
> init.c: In function 'InitRemind':
> init.c:573:3: error: format not a string literal and no format arguments [-Werror=format-security]
> init.c:578:3: error: format not a string literal and no format arguments [-Werror=format-security]
> init.c:140:14: warning: variable 'tim' set but not used [-Wunused-but-set-variable]
> init.c: In function 'ChgUser':
> init.c:681:2: error: format not a string literal and no format arguments [-Werror=format-security]
> init.c:689:2: error: format not a string literal and no format arguments [-Werror=format-security]
> init.c:698:6: error: format not a string literal and no format arguments [-Werror=format-security]
> init.c:705:6: error: format not a string literal and no format arguments [-Werror=format-security]
> cc1: some warnings being treated as errors
> 
> make[2]: *** [init.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/remind_03.01.10-1_lsid64.buildlog

This happened because since dpkg 1.16.0 [0], hardening flags are enabled 
under various conditions.

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Kurt B. Kaiser <kbk@shore.net>:
Bug#643466; Package src:remind. (Sat, 03 Dec 2011 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero Lopez <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Kurt B. Kaiser <kbk@shore.net>. (Sat, 03 Dec 2011 22:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 643466@bugs.debian.org (full text, mbox):

From: Ana Guerrero Lopez <ana@debian.org>
To: 643466@bugs.debian.org
Subject: remind: diff for NMU version 03.01.10-1.1
Date: Sat, 3 Dec 2011 23:15:24 +0100
[Message part 1 (text/plain, inline)]
tags 643466 + patch
tags 643466 + pending
thanks

Dear maintainer,

I've prepared an NMU for remind (versioned as 03.01.10-1.1) and
uploaded it. Please find attached the diff.

Regards,
Ana
[remind-03.01.10-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ana Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 22:18:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ana Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 22:18:12 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 03 Dec 2011 22:39:07 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 22:39:07 GMT) Full text and rfc822 format available.

Message #19 received at 643466-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 643466-close@bugs.debian.org
Subject: Bug#643466: fixed in remind 03.01.10-1.1
Date: Sat, 03 Dec 2011 22:35:30 +0000
Source: remind
Source-Version: 03.01.10-1.1

We believe that the bug you reported is fixed in the latest version of
remind, which is due to be installed in the Debian FTP archive:

remind_03.01.10-1.1.debian.tar.gz
  to main/r/remind/remind_03.01.10-1.1.debian.tar.gz
remind_03.01.10-1.1.dsc
  to main/r/remind/remind_03.01.10-1.1.dsc
remind_03.01.10-1.1_amd64.deb
  to main/r/remind/remind_03.01.10-1.1_amd64.deb
tkremind_03.01.10-1.1_amd64.deb
  to main/r/remind/tkremind_03.01.10-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated remind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Dec 2011 23:10:31 +0100
Source: remind
Binary: remind tkremind
Architecture: source amd64
Version: 03.01.10-1.1
Distribution: unstable
Urgency: low
Maintainer: Kurt B. Kaiser <kbk@shore.net>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 remind     - sophisticated calendar and alarm program
 tkremind   - Tk GUI interface to remind
Closes: 643466
Changes: 
 remind (03.01.10-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with flag -Werror=format-security. (Closes: #643466)
Checksums-Sha1: 
 adb9c5f4fa4fa80f3baf93a9ec2c150910bc09a4 1805 remind_03.01.10-1.1.dsc
 036809d03048b8bcc1c6577c1bdf9c6e5622c0c0 10359 remind_03.01.10-1.1.debian.tar.gz
 c6b2a2fdfd91b73d06999b71ce95086c599e3232 223570 remind_03.01.10-1.1_amd64.deb
 b5004e6d88962a9675c04216b883f1ce44010a43 54728 tkremind_03.01.10-1.1_amd64.deb
Checksums-Sha256: 
 58c99c29c83fcc5d129383b8b62f36d15fc0e4cd5e4c5ec547cc9e7b0208afdf 1805 remind_03.01.10-1.1.dsc
 a1330aa49ceb4128e9d220356e117747494c6aaa4bad5466608f579116712599 10359 remind_03.01.10-1.1.debian.tar.gz
 caf1e4424a1e5a1cda662b20a9f6d655629ff14e47c35f3484e2b6fd05760869 223570 remind_03.01.10-1.1_amd64.deb
 91a2ff930baa3dfde0d6a6ef658d9e2ac93fc5f90309ea9bc66e2c1209d5a406 54728 tkremind_03.01.10-1.1_amd64.deb
Files: 
 c8d66a7ab28d296a046829e497157204 1805 utils optional remind_03.01.10-1.1.dsc
 f3e232628975d9a754df21b69fa36c8c 10359 utils optional remind_03.01.10-1.1.debian.tar.gz
 853de3a7fbe16eb9301d915ac3e0cf1e 223570 utils optional remind_03.01.10-1.1_amd64.deb
 94071d5ee78081215da671a8edee11e9 54728 utils optional tkremind_03.01.10-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO2p/9AAoJELNGT4lqoVlIgzoP/RN2QfUc/W7845x2xNUkEoZQ
TqJe37Z0fk1+sPQCpVxDA4IQNygwY6l8oVkqjkfLTaR76niCiuypixWylnZZ1jgQ
fJNxWmVMkAeeuwmRF9qUiFFl9ozpiGfgyhFVN+wStS5epo/eVvCIwsT3Dq7Y0dSu
6gIZpNFTHUAQGWao76hM5BrQmB81blozJNtKiot5bZHZ8iWSadbR6/akaZaDb4PA
upJTF/kILa4YBq2GPYSINp18sO1BL6+ju2LdkfTjDjGe42W8E+WlAg3HbmdTyEvC
KJKuewXX0hh4s7xVFWmobk8zc+hBVgNRetvFedfmSHckXmwIf37m1NS24bLKYSsO
d4h2Tz8zasop9ry9hjTLgH4PZq66Sx9ep9r70dmGDh/ULOfCZlxYGQMTgcJAxkWM
c3TdOpIhAscaLN3f9Jx5IVMsyr36kUx1FV0YOUAQVLYAyoF+kK1TvkYG4tGCe6t8
of3d7IX3fgjj7YE5qQchhRC9rJvA+P6g/TWThzzTWyuM2coGV/zAV/mLojWy6Kcv
qgDmEoUZ7gFWDx74OF1RYfqpiIAWwZmSPEjR17Jff3fXzC/L28LHSSQQLCVaF5si
6SsIXHyD7LbnJRNJ/2Am5lXvtadDAxgu3a5/IpJzG9yKXRndmn/ba0iRF0Q5TKq6
6jEYFau79xC2K9Ncd1NQ
=HmZb
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Kurt B. Kaiser <kbk@shore.net>:
Bug#643466; Package src:remind. (Sun, 11 Dec 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Kurt B. Kaiser" <kbk@shore.net>:
Extra info received and forwarded to list. Copy sent to Kurt B. Kaiser <kbk@shore.net>. (Sun, 11 Dec 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #24 received at 643466@bugs.debian.org (full text, mbox):

From: "Kurt B. Kaiser" <kbk@shore.net>
To: remind-fans@lists.roaringpenguin.com
Cc: 643466@bugs.debian.org
Subject: PATCH:Remind FTBS on Debian with recently activated -Werror=format-security flag
Date: Sun, 11 Dec 2011 16:40:54 -0500
[Message part 1 (text/plain, inline)]
Hi, I've attached a patch which fixes FTBS following a Debian security
enhancement.

Also, I noted a warning during the compilation init.c:

init.c: In function ‘InitRemind’:
init.c:140:14: warning: variable ‘tim’ set but not used
[-Wunused-but-set-variable]

Thanks for remind!

-- 
KBK

[fix_ftbfs (application/octet-stream, attachment)]

Added tag(s) upstream. Request was from "Kurt B. Kaiser" <kbk@shore.net> to control@bugs.debian.org. (Sun, 11 Dec 2011 23:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jan 2012 07:37:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:21:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.